CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
MetadataField Class Reference

## Public Member Functions
| Status ()
| Type ($NewValue=DB_NOVALUE)
| TypeAsName ()
| GetDisplayName ()
| Name ($NewName=DB_NOVALUE)
| Label ($NewLabel=DB_NOVALUE)
| GetAllowedConversionTypes ()
| IsTempItem ($NewSetting=NULL)
| Id ()
| DBFieldName ()
| Description ($NewValue=DB_NOVALUE)
| Instructions ($NewValue=DB_NOVALUE)
| Owner ($NewValue=DB_NOVALUE)
| RequiredBySPT ($NewValue=DB_NOVALUE)
| Enabled ($NewValue=DB_NOVALUE)
| Optional ($NewValue=DB_NOVALUE)
| Editable ($NewValue=DB_NOVALUE)
| Viewable ($NewValue=DB_NOVALUE)
| AllowMultiple ($NewValue=DB_NOVALUE)
| IncludeInKeywordSearch ($NewValue=DB_NOVALUE)
| IncludeInAdvancedSearch ($NewValue=DB_NOVALUE)
| IncludeInSortOptions ($NewValue=DB_NOVALUE)
| IncludeInRecommender ($NewValue=DB_NOVALUE)
| TextFieldSize ($NewValue=DB_NOVALUE)
| MaxLength ($NewValue=DB_NOVALUE)
| ParagraphRows ($NewValue=DB_NOVALUE)
| ParagraphCols ($NewValue=DB_NOVALUE)
| MinValue ($NewValue=DB_NOVALUE)
| MaxValue ($NewValue=DB_NOVALUE)
| FlagOnLabel ($NewValue=DB_NOVALUE)
| FlagOffLabel ($NewValue=DB_NOVALUE)
| DateFormat ($NewValue=DB_NOVALUE)
| SearchWeight ($NewValue=DB_NOVALUE)
| RecommenderWeight ($NewValue=DB_NOVALUE)
| MaxHeight ($NewValue=DB_NOVALUE)
| MaxWidth ($NewValue=DB_NOVALUE)
| MaxPreviewHeight ($NewValue=DB_NOVALUE)
| MaxPreviewWidth ($NewValue=DB_NOVALUE)
| MaxThumbnailHeight ($NewValue=DB_NOVALUE)
| MaxThumbnailWidth ($NewValue=DB_NOVALUE)
| DefaultAltText ($NewValue=DB_NOVALUE)
| UsesQualifiers ($NewValue=DB_NOVALUE)
| ShowQualifiers ($NewValue=DB_NOVALUE)
| DefaultQualifier ($NewValue=DB_NOVALUE)
| AllowHTML ($NewValue=DB_NOVALUE)
| UseWysiwygEditor ($NewValue=DB_NOVALUE)
| UseForOaiSets ($NewValue=DB_NOVALUE)
| NumAjaxResults ($NewValue=DB_NOVALUE)
| ViewingPrivilege ($NewValue=DB_NOVALUE)
| AuthoringPrivilege ($NewValue=DB_NOVALUE)
| EditingPrivilege ($NewValue=DB_NOVALUE)
| ImagePreviewPrivilege ($NewValue=DB_NOVALUE)
| TreeBrowsingPrivilege ($NewValue=DB_NOVALUE)
| EnableOnOwnerReturn ($NewValue=DB_NOVALUE)
| ViewingUserIsValue ($NewValue=DB_NOVALUE)
| AuthoringUserIsValue ($NewValue=DB_NOVALUE)
| EditingUserIsValue ($NewValue=DB_NOVALUE)
| ViewingUserValue ($NewValue=DB_NOVALUE)
| AuthoringUserValue ($NewValue=DB_NOVALUE)
| EditingUserValue ($NewValue=DB_NOVALUE)
| UserPrivilegeRestrictions ($NewValue=DB_NOVALUE)
| PointPrecision ($NewValue=DB_NOVALUE)
| PointDecimalDigits ($NewValue=DB_NOVALUE)
| DefaultValue ($NewValue=DB_NOVALUE)
| UpdateMethod ($NewValue=DB_NOVALUE)
| Get/set method by which field is updated.
| GetPossibleValues ($MaxNumberOfValues=NULL, $Offset=0)
| GetCountOfPossibleValues ()
| GetIdForValue ($Value)
| GetValueForId ($Id)
| ValueUseCount ($Value)
| Check how many times a specific value is currently used for this field.
| HasItemLevelQualifiers ($NewValue=DB_NOVALUE)
| AssociatedQualifierList ()
| UnassociatedQualifierList ()
| AssociateWithQualifier ($QualifierIdOrObject)
| UnassociateWithQualifier ($QualifierIdOrObject)
| GetFactory ()
| MetadataField ($FieldId, $FieldName=NULL, $FieldType=NULL, $Optional=TRUE, $DefaultValue=NULL)
| SetDefaults ()
| Set defaults values for the field.
| Drop ()

## Public Attributes
const | UPDATEMETHOD_NOAUTOUPDATE = "NoAutoUpdate"
const | UPDATEMETHOD_ONRECORDCREATE = "OnRecordCreate"
const | UPDATEMETHOD_BUTTON = "Button"
const | UPDATEMETHOD_ONRECORDEDIT = "OnRecordEdit"
const | UPDATEMETHOD_ONRECORDCHANGE = "OnRecordChange"
const | USERISVALUE_OR = -1
const | USERISVALUE_UNSET = 0
const | USERISVALUE_AND = 1

## Static Public Attributes
static | $FieldTypeHumanEnums
static | $FieldTypeDBEnums
static | $FieldTypeDBAllowedEnums
static | $FieldTypePHPEnums
static | $UpdateTypes
static | $FixedDefaults
static | $TypeBasedDefaults

## Detailed Description

Definition at line 10 of file MetadataField.php.

## Member Function Documentation

MetadataField::AllowHTML | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 340 of file MetadataField.php.

MetadataField::AllowMultiple | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 288 of file MetadataField.php.

Referenced by DefaultValue().

Here is the caller graph for this function:

MetadataField::AssociatedQualifierList | ( |  | ) |

Definition at line 808 of file MetadataField.php.

Referenced by UnassociatedQualifierList().

Here is the caller graph for this function:

MetadataField::AssociateWithQualifier | ( |  | $QualifierIdOrObject | ) |

Definition at line 844 of file MetadataField.php.

References Id().

MetadataField::AuthoringPrivilege | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 350 of file MetadataField.php.

MetadataField::AuthoringUserIsValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 362 of file MetadataField.php.

MetadataField::AuthoringUserValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 368 of file MetadataField.php.

MetadataField::DateFormat | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 314 of file MetadataField.php.

MetadataField::DBFieldName | ( |  | ) |

Definition at line 269 of file MetadataField.php.

Referenced by HasItemLevelQualifiers().

Here is the caller graph for this function:

MetadataField::DefaultAltText | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 332 of file MetadataField.php.

MetadataField::DefaultQualifier | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 338 of file MetadataField.php.

MetadataField::DefaultValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 447 of file MetadataField.php.

References AllowMultiple(), DB_NOVALUE, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_POINT, and Type().

Referenced by MetadataField().

Here is the caller graph for this function:

MetadataField::Description | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 272 of file MetadataField.php.

MetadataField::Drop | ( |  | ) |

Definition at line 1243 of file MetadataField.php.

References $FieldTypePHPEnums, MetadataFieldOrder\GetDisplayOrderObject(), MetadataFieldOrder\GetEditOrderObject(), Id(), MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_DATE, MetadataSchema\MDFTYPE_FILE, MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_IMAGE, MetadataSchema\MDFTYPE_NUMBER, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_PARAGRAPH, MetadataSchema\MDFTYPE_POINT, MetadataSchema\MDFTYPE_TEXT, MetadataSchema\MDFTYPE_TIMESTAMP, MetadataSchema\MDFTYPE_TREE, MetadataSchema\MDFTYPE_URL, and MetadataSchema\MDFTYPE_USER.

MetadataField::Editable | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 284 of file MetadataField.php.

MetadataField::EditingPrivilege | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 352 of file MetadataField.php.

MetadataField::EditingUserIsValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 364 of file MetadataField.php.

MetadataField::EditingUserValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 370 of file MetadataField.php.

MetadataField::Enabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 280 of file MetadataField.php.

MetadataField::EnableOnOwnerReturn | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 358 of file MetadataField.php.

MetadataField::FlagOffLabel | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 312 of file MetadataField.php.

Referenced by GetPossibleValues().

Here is the caller graph for this function:

MetadataField::FlagOnLabel | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 310 of file MetadataField.php.

Referenced by GetPossibleValues().

Here is the caller graph for this function:

MetadataField::GetAllowedConversionTypes | ( |  | ) |

Definition at line 129 of file MetadataField.php.

References MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_DATE, MetadataSchema\MDFTYPE_FILE, MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_IMAGE, MetadataSchema\MDFTYPE_NUMBER, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_PARAGRAPH, MetadataSchema\MDFTYPE_TEXT, MetadataSchema\MDFTYPE_TIMESTAMP, MetadataSchema\MDFTYPE_TREE, MetadataSchema\MDFTYPE_URL, MetadataSchema\MDFTYPE_USER, and Type().

MetadataField::GetCountOfPossibleValues | ( |  | ) |

Definition at line 600 of file MetadataField.php.

References GetPossibleValues(), Id(), MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_TREE, MetadataSchema\MDFTYPE_USER, and Type().

MetadataField::GetDisplayName | ( |  | ) |

Definition at line 53 of file MetadataField.php.

References Label(), and Name().

MetadataField::GetFactory | ( |  | ) |

Definition at line 884 of file MetadataField.php.

References Id(), MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_TREE, and Type().

MetadataField::GetIdForValue | ( |  | $Value | ) |

Definition at line 638 of file MetadataField.php.

References Id(), MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_TREE, and Type().

MetadataField::GetPossibleValues | ( |  | $MaxNumberOfValues = `NULL`,
|  |  | $Offset = `0`
| ) |  |

Definition at line 525 of file MetadataField.php.

References FlagOffLabel(), FlagOnLabel(), Id(), MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_TREE, MetadataSchema\MDFTYPE_USER, Type(), and UserPrivilegeRestrictions().

Referenced by GetCountOfPossibleValues().

Here is the caller graph for this function:

MetadataField::GetValueForId | ( |  | $Id | ) |

Definition at line 670 of file MetadataField.php.

References Id(), MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_TREE, and Type().

MetadataField::HasItemLevelQualifiers | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 771 of file MetadataField.php.

References DB_NOVALUE, and DBFieldName().

MetadataField::Id | ( |  | ) |

Definition at line 268 of file MetadataField.php.

Referenced by AssociateWithQualifier(), Drop(), GetCountOfPossibleValues(), GetFactory(), GetIdForValue(), GetPossibleValues(), GetValueForId(), IsTempItem(), PointDecimalDigits(), and PointPrecision().

Here is the caller graph for this function:

MetadataField::ImagePreviewPrivilege | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 354 of file MetadataField.php.

MetadataField::IncludeInAdvancedSearch | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 292 of file MetadataField.php.

MetadataField::IncludeInKeywordSearch | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 290 of file MetadataField.php.

MetadataField::IncludeInRecommender | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 296 of file MetadataField.php.

MetadataField::IncludeInSortOptions | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 294 of file MetadataField.php.

MetadataField::Instructions | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 274 of file MetadataField.php.

MetadataField::IsTempItem | ( |  | $NewSetting = `NULL` | ) |

Definition at line 184 of file MetadataField.php.

References MetadataFieldOrder\GetDisplayOrderObject(), MetadataFieldOrder\GetEditOrderObject(), Id(), MetadataSchema\MDFSTAT_ILLEGALNAME, and Name().

MetadataField::Label | ( |  | $NewLabel = `DB_NOVALUE` | ) |

Definition at line 101 of file MetadataField.php.

References DB_NOVALUE, and MetadataSchema\MDFSTAT_ILLEGALLABEL.

Referenced by GetDisplayName().

Here is the caller graph for this function:

MetadataField::MaxHeight | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 320 of file MetadataField.php.

MetadataField::MaxLength | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 300 of file MetadataField.php.

MetadataField::MaxPreviewHeight | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 324 of file MetadataField.php.

MetadataField::MaxPreviewWidth | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 326 of file MetadataField.php.

MetadataField::MaxThumbnailHeight | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 328 of file MetadataField.php.

MetadataField::MaxThumbnailWidth | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 330 of file MetadataField.php.

MetadataField::MaxValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 308 of file MetadataField.php.

MetadataField::MaxWidth | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 322 of file MetadataField.php.

MetadataField::MetadataField | ( |  | $FieldId,
|  |  | $FieldName = `NULL`,
|  |  | $FieldType = `NULL`,
|  |  | $Optional = `TRUE`,
|  |  | $DefaultValue = `NULL`
| ) |  |

Definition at line 991 of file MetadataField.php.

References $FieldTypeDBEnums, DefaultValue(), MetadataSchema\MDFSTAT_DUPLICATENAME, MetadataSchema\MDFSTAT_FIELDDOESNOTEXIST, MetadataSchema\MDFSTAT_OK, Optional(), and SetDefaults().

MetadataField::MinValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 306 of file MetadataField.php.

MetadataField::Name | ( |  | $NewName = `DB_NOVALUE` | ) |

Definition at line 60 of file MetadataField.php.

References DB_NOVALUE, MetadataSchema\MDFSTAT_DUPLICATENAME, MetadataSchema\MDFSTAT_ILLEGALNAME, and MetadataSchema\MDFSTAT_OK.

Referenced by GetDisplayName(), IsTempItem(), and SetDefaults().

Here is the caller graph for this function:

MetadataField::NumAjaxResults | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 346 of file MetadataField.php.

MetadataField::Optional | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 282 of file MetadataField.php.

Referenced by MetadataField().

Here is the caller graph for this function:

MetadataField::Owner | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 276 of file MetadataField.php.

MetadataField::ParagraphCols | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 304 of file MetadataField.php.

MetadataField::ParagraphRows | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 302 of file MetadataField.php.

MetadataField::PointDecimalDigits | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 422 of file MetadataField.php.

References DB_NOVALUE, Id(), MetadataSchema\MDFTYPE_POINT, and Type().

MetadataField::PointPrecision | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 398 of file MetadataField.php.

References DB_NOVALUE, Id(), MetadataSchema\MDFTYPE_POINT, and Type().

MetadataField::RecommenderWeight | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 318 of file MetadataField.php.

MetadataField::RequiredBySPT | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 278 of file MetadataField.php.

MetadataField::SearchWeight | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 316 of file MetadataField.php.

MetadataField::SetDefaults | ( |  | ) |

Set defaults values for the field.

Returns
  void

Definition at line 1221 of file MetadataField.php.

References Name(), Type(), and UpdateMethod().

Referenced by MetadataField().

Here is the caller graph for this function:

MetadataField::ShowQualifiers | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 336 of file MetadataField.php.

MetadataField::Status | ( |  | ) |

Definition at line 27 of file MetadataField.php.

MetadataField::TextFieldSize | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 298 of file MetadataField.php.

MetadataField::TreeBrowsingPrivilege | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 356 of file MetadataField.php.

MetadataField::Type | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 30 of file MetadataField.php.

References $FieldTypePHPEnums, and DB_NOVALUE.

Referenced by DefaultValue(), GetAllowedConversionTypes(), GetCountOfPossibleValues(), GetFactory(), GetIdForValue(), GetPossibleValues(), GetValueForId(), PointDecimalDigits(), PointPrecision(), SetDefaults(), and ValueUseCount().

Here is the caller graph for this function:

MetadataField::TypeAsName | ( |  | ) |

Definition at line 46 of file MetadataField.php.

MetadataField::UnassociatedQualifierList | ( |  | ) |

Definition at line 830 of file MetadataField.php.

References AssociatedQualifierList().

MetadataField::UnassociateWithQualifier | ( |  | $QualifierIdOrObject | ) |

Definition at line 868 of file MetadataField.php.

MetadataField::UpdateMethod | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get/set method by which field is updated.

Parameters

  NewValue | New update method.

Returns
  Existing update method.

Definition at line 517 of file MetadataField.php.

Referenced by SetDefaults().

Here is the caller graph for this function:

MetadataField::UseForOaiSets | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 344 of file MetadataField.php.

MetadataField::UserPrivilegeRestrictions | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 373 of file MetadataField.php.

References DB_NOVALUE.

Referenced by GetPossibleValues().

Here is the caller graph for this function:

MetadataField::UsesQualifiers | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 334 of file MetadataField.php.

MetadataField::UseWysiwygEditor | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 342 of file MetadataField.php.

MetadataField::ValueUseCount | ( |  | $Value | ) |

Check how many times a specific value is currently used for this field.

This method is not valid for Date fields.

Parameters

  Value | Value to check. For Flag, Tree, Option, Image, and Controlled Name fields this must be an ID or an appropriate object. For Point fields this must be an associative array with two values with "X" and "Y" indexes. Date fields are not supported. For other field types, the literal value to check should be passed in.

Returns
  Number of times values is currently used.

Definition at line 710 of file MetadataField.php.

References MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_FILE, MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_IMAGE, MetadataSchema\MDFTYPE_NUMBER, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_PARAGRAPH, MetadataSchema\MDFTYPE_POINT, MetadataSchema\MDFTYPE_TEXT, MetadataSchema\MDFTYPE_TIMESTAMP, MetadataSchema\MDFTYPE_TREE, MetadataSchema\MDFTYPE_URL, MetadataSchema\MDFTYPE_USER, and Type().

MetadataField::Viewable | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 286 of file MetadataField.php.

MetadataField::ViewingPrivilege | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 348 of file MetadataField.php.

MetadataField::ViewingUserIsValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 360 of file MetadataField.php.

MetadataField::ViewingUserValue | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 366 of file MetadataField.php.

## Member Data Documentation

MetadataField::$FieldTypeDBAllowedEnums
| static

Initial value:
= array(
MetadataSchema::MDFTYPE_TEXT => "Text",
MetadataSchema::MDFTYPE_PARAGRAPH => "Paragraph",
MetadataSchema::MDFTYPE_NUMBER => "Number",
MetadataSchema::MDFTYPE_DATE => "Date",
MetadataSchema::MDFTYPE_TIMESTAMP => "TimeStamp",
MetadataSchema::MDFTYPE_FLAG => "Flag",
MetadataSchema::MDFTYPE_TREE => "Tree",
MetadataSchema::MDFTYPE_CONTROLLEDNAME => "ControlledName",
MetadataSchema::MDFTYPE_OPTION => "Option",
MetadataSchema::MDFTYPE_USER => "User",
MetadataSchema::MDFTYPE_IMAGE => "Still Image",
MetadataSchema::MDFTYPE_FILE => "File",
MetadataSchema::MDFTYPE_URL => "Url",
MetadataSchema::MDFTYPE_POINT => "Point"
)

Definition at line 948 of file MetadataField.php.

Referenced by MetadataSchema\GetAllowedFieldTypes().

MetadataField::$FieldTypeDBEnums
| static

Initial value:
= array(
MetadataSchema::MDFTYPE_TEXT => "Text",
MetadataSchema::MDFTYPE_PARAGRAPH => "Paragraph",
MetadataSchema::MDFTYPE_NUMBER => "Number",
MetadataSchema::MDFTYPE_DATE => "Date",
MetadataSchema::MDFTYPE_TIMESTAMP => "TimeStamp",
MetadataSchema::MDFTYPE_FLAG => "Flag",
MetadataSchema::MDFTYPE_TREE => "Tree",
MetadataSchema::MDFTYPE_CONTROLLEDNAME => "ControlledName",
MetadataSchema::MDFTYPE_OPTION => "Option",
MetadataSchema::MDFTYPE_USER => "User",
MetadataSchema::MDFTYPE_IMAGE => "Still Image",
MetadataSchema::MDFTYPE_FILE => "File",
MetadataSchema::MDFTYPE_URL => "Url",
MetadataSchema::MDFTYPE_POINT => "Point"
)

Definition at line 932 of file MetadataField.php.

Referenced by MetadataSchema\GetFieldTypes(), MetadataField(), and HumanMetadataField\Type().

MetadataField::$FieldTypeHumanEnums
| static

Initial value:
= array(
MetadataSchema::MDFTYPE_TEXT => "Text",
MetadataSchema::MDFTYPE_PARAGRAPH => "Paragraph",
MetadataSchema::MDFTYPE_NUMBER => "Number",
MetadataSchema::MDFTYPE_DATE => "Date",
MetadataSchema::MDFTYPE_TIMESTAMP => "Timestamp",
MetadataSchema::MDFTYPE_FLAG => "Flag",
MetadataSchema::MDFTYPE_TREE => "Tree",
MetadataSchema::MDFTYPE_CONTROLLEDNAME => "Controlled Name",
MetadataSchema::MDFTYPE_OPTION => "Option",
MetadataSchema::MDFTYPE_USER => "User",
MetadataSchema::MDFTYPE_IMAGE => "Image",
MetadataSchema::MDFTYPE_FILE => "File",
MetadataSchema::MDFTYPE_URL => "URL",
MetadataSchema::MDFTYPE_POINT => "Point")

Definition at line 915 of file MetadataField.php.

MetadataField::$FieldTypePHPEnums
| static

Initial value:
= array(
"Text" => MetadataSchema::MDFTYPE_TEXT,
"Paragraph" => MetadataSchema::MDFTYPE_PARAGRAPH,
"Number" => MetadataSchema::MDFTYPE_NUMBER,
"Date" => MetadataSchema::MDFTYPE_DATE,
"TimeStamp" => MetadataSchema::MDFTYPE_TIMESTAMP,
"Flag" => MetadataSchema::MDFTYPE_FLAG,
"Tree" => MetadataSchema::MDFTYPE_TREE,
"ControlledName" => MetadataSchema::MDFTYPE_CONTROLLEDNAME,
"Option" => MetadataSchema::MDFTYPE_OPTION,
"User" => MetadataSchema::MDFTYPE_USER,
"Still Image" => MetadataSchema::MDFTYPE_IMAGE,
"File" => MetadataSchema::MDFTYPE_FILE,
"Url" => MetadataSchema::MDFTYPE_URL,
"Point" => MetadataSchema::MDFTYPE_POINT
)

Definition at line 964 of file MetadataField.php.

Referenced by Drop(), MetadataSchema\GetFields(), and Type().

MetadataField::$FixedDefaults
| static

Definition at line 1089 of file MetadataField.php.

MetadataField::$TypeBasedDefaults
| static

Definition at line 1145 of file MetadataField.php.

MetadataField::$UpdateTypes
| static

Initial value:
= array(
MetadataField::UPDATEMETHOD_NOAUTOUPDATE => "Do not update automatically",
MetadataField::UPDATEMETHOD_ONRECORDCREATE => "Update on record creation",
MetadataField::UPDATEMETHOD_BUTTON => "Provide an update button",
MetadataField::UPDATEMETHOD_ONRECORDEDIT => "Update when record is edited",
MetadataField::UPDATEMETHOD_ONRECORDCHANGE => "Update when record is changed"
)

Definition at line 981 of file MetadataField.php.

Referenced by HumanMetadataField\UpdateMethod().

const MetadataField::UPDATEMETHOD_BUTTON = "Button"

Definition at line 17 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_NOAUTOUPDATE = "NoAutoUpdate"

Definition at line 15 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_ONRECORDCHANGE = "OnRecordChange"

Definition at line 19 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_ONRECORDCREATE = "OnRecordCreate"

Definition at line 16 of file MetadataField.php.

Referenced by Resource\Resource().

const MetadataField::UPDATEMETHOD_ONRECORDEDIT = "OnRecordEdit"

Definition at line 18 of file MetadataField.php.

const MetadataField::USERISVALUE_AND = 1

Definition at line 24 of file MetadataField.php.

Referenced by Resource\UserCanAuthorField(), Resource\UserCanEditField(), and Resource\UserCanViewField().

const MetadataField::USERISVALUE_OR = -1

Definition at line 22 of file MetadataField.php.

Referenced by Resource\UserCanAuthorField(), Resource\UserCanEditField(), and Resource\UserCanViewField().

const MetadataField::USERISVALUE_UNSET = 0

Definition at line 23 of file MetadataField.php.

Referenced by Resource\UserCanAuthorField(), Resource\UserCanEditField(), and Resource\UserCanViewField().

The documentation for this class was generated from the following file:

- objects/MetadataField.php